devel/pear-SebastianBergmann_Git: Unbreak
ClosedPublic

Authored by joneum on Aug 28 2017, 6:40 PM.

Details

Summary
  • Unbreak this port
  • switch to GitHub

Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

~...devel/pear-SebastianBergmann_Git: portlint -AC [20:33:11]
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
0 fatal errors and 2 warnings found.

poudriere testport:

10.3-amd64
10.3-i386
11.1-amd64
11.1-i386
12.0-CURRENT r321899 amd64
12.0-CURRENT r321913 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 11279
Build 11645: arc lint + arc unit
joneum created this revision.Aug 28 2017, 6:40 PM
joneum edited the summary of this revision. (Show Details)Aug 28 2017, 6:43 PM
mat added inline comments.Aug 28 2017, 8:33 PM
devel/pear-SebastianBergmann_Git/Makefile
8

I really do not think the package name should be changed.

joneum updated this revision to Diff 32475.Aug 29 2017, 5:00 AM

revert PKGNAMEPREFIX

mat added a comment.Aug 29 2017, 8:23 AM

Why remove USES=pear ?

In D12146#252278, @mat wrote:

Why remove USES=pear ?

There is no package.xml inside the package

miwi accepted this revision.Sep 11 2017, 8:24 AM
This revision is now accepted and ready to land.Sep 11 2017, 8:24 AM
Closed by commit rP449806: - Unbreak this port (authored by joneum, committed by ). · Explain WhySep 13 2017, 5:00 PM
This revision was automatically updated to reflect the committed changes.